org.jboss.resteasy.plugins.server.netty

## Class RestEasyHttpRequestDecoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneDecoder
  - - org.jboss.resteasy.plugins.server.netty.RestEasyHttpRequestDecoder

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

      @ChannelHandler.Sharable
      public class RestEasyHttpRequestDecoder
      extends org.jboss.netty.handler.codec.oneone.OneToOneDecoder

  This `OneToOneDecoder` is responsible for decode `HttpRequest` to `NettyHttpRequest`'s This implementation is `ChannelHandler.Sharable`
  Author:
    Norman Maurer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RestEasyHttpRequestDecoder.Protocol`

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestEasyHttpRequestDecoder(SynchronousDispatcher dispatcher, String servletMappingPrefix, RestEasyHttpRequestDecoder.Protocol protocol, boolean isKeepAlive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `decode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, Object msg)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneDecoder

      `handleUpstream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestEasyHttpRequestDecoder

          public RestEasyHttpRequestDecoder(SynchronousDispatcher dispatcher,
                                    String servletMappingPrefix,
                                    RestEasyHttpRequestDecoder.Protocol protocol,
                                    boolean isKeepAlive)

  - ### Method Detail

    - #### decode

          protected Object decode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                      org.jboss.netty.channel.Channel channel,
                      Object msg)
                           throws Exception

      Specified by:
        `decode` in class `org.jboss.netty.handler.codec.oneone.OneToOneDecoder`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.